%define	version	1.1.8
%define	release	1mdk

%define	name	cln
%define	libname_orig	lib%{name}
%define	major	3
%define	libname	%mklibname %{name} %{major}

Summary:	C++ Class Library for Numbers
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	ftp://ftpthep.physik.uni-mainz.de/pub/gnu/%{name}-%{version}.tar.bz2
URL:		http://www.ginac.de/CLN/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gmp-devel

%description
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

%package -n	%{libname}
Summary:	C++ Class Library for Numbers
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
# fix wrong major, to be removed soon
Obsoletes:	%{_lib}cln2 = 1.1.7-1mdk
Provides:	%{_lib}cln2 = 1.1.7-1mdk

%description -n	%{libname}
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

%package -n	%{libname}-devel
Summary:	Development files for programs using the CLN library
Group:		Development/C++
Prereq:		/sbin/install-info
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
# fix wrong major, to be removed soon
Obsoletes:	%{_lib}cln2-devel = 1.1.7-1mdk
Provides:	%{_lib}cln2-devel = 1.1.7-1mdk


%description -n %{libname}-devel
This package is necessary if you wish to develop software based on
the CLN library.

%prep
%setup -q

%build
%configure2_5x
%make
make check

%install
rm -rf %{buildroot}
%makeinstall_std

# prepare documents
rm -rf documents
mkdir documents
mv %{buildroot}%{_datadir}/html documents/
cp --parents examples/*.cc documents/

rm -rf %{buildroot}%{_datadir}/dvi

%clean
rm -rf %{buildroot}


%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info

%preun -n %{libname}-devel
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog NEWS README TODO* documents/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/cln/*.h
%{_infodir}/*.info*
%{_mandir}/man1/cln-config.1*
%{_bindir}/cln-config
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Jul 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.8-1mdk
- 1.1.8

* Mon Jun 21 2004 Abel Cheung <deaddog@deaddog.org> 1.1.7-2mdk
- fix macros
- fix dep
- fix major

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.7-1mdk
- 1.1.7
- use %%mklibname
- update url
- cosmetics

* Wed Oct 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-4mdk
- rebuild for provides devel(libcln)

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-3mdk
- rebuild

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-2mdk
- use --libdir

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5

* Wed Nov 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- first Mandrake release

* Thu Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.3mdk
- apply library policy
- use O2 since O3 fails

* Wed Aug  1 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.2mdk
- don't use configure macro

* Wed Aug  1 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.1mdk
- initial Mandrake buid
- spec modified from source archive (more macros)
- disable forcing libtoolize
